Name:		disper
Version:	0.3.0
Release:	5%{?dist}
Summary:	On-the-fly display switch utility

License:	GPLv3+
URL:		http://willem.engen.nl/projects/disper/
Source0:	http://ppa.launchpad.net/disper-dev/ppa/ubuntu/pool/main/d/disper/%{name}_%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python

# disper require notify-send included in libnotify package
Requires:	libnotify
# disper require libXrandr and libX11 too, the library are loaded via python and
# rpm doesn't find these dependencies by itself
Requires:	libXrandr
Requires:	libX11


%description
Disper is an on-the-fly display switch utility. It is intended to be used just
before giving a presentation with a laptop, when all one wants is that the
beamer, which has just been connected, is able to show whatever you prepared.

Disper gives you the option to either clone all detected displays, or extend
the desktop to them. Resolutions are automatically detected. For cloning, the
highest common resolution supported by all displays is chosen; for extending
every display device gets its highest supported resolution. For special setups
requiring more detailed control, one can still use the standard display
configuration utilities.

At the moment nVidia cards are supported, and a basic XRandR backend is in
place.


%prep
%setup -q -n dispercur


%build


%install
make install DESTDIR=%{buildroot}
chmod +x %{buildroot}%{_datadir}/%{name}/src/xrandr/core.py
chmod +x %{buildroot}%{_datadir}/%{name}/src/xrandr/gdk.py
chmod +x %{buildroot}%{_datadir}/%{name}/src/xrandr/__init__.py
gzip %{name}.1
install -Dpm 0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz


%files
%doc README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_mandir}/man1/%{name}.1.gz


%changelog
* Fri Jan 13 2012 Mario Santagiuliana <fedora@marionline.it> - 0.3.0-5
- Add comment in spec file for require dependencies
- Fix error in changelog data report

* Tue Jan 10 2012 Mario Santagiuliana <fedora@marionline.it> - 0.3.0-4
- Update spec file

* Tue Jul 19 2011 Mario Santagiuliana <fedora@marionline.it> - 0.3.0-3
- Update description using upstream website description

* Tue Jun 21 2011 Mario Santagiuliana <fedora@marionline.it> - 0.3.0-2
- Update dependencies

* Sat Jun 11 2011 Mario Santagiualiana <mario@marionline.it> - 0.3.0-1
- Merge Spec file of kwizart and Felix
- Update disper to version 0.3.0
- Update Spec file

* Sat Sep 19 2009 kwizart < kwizart at gmail.com > - 0.2.3-1
- Initial package

* Tue Jul 07 2009 Felix Kaechele <heffer@fedoraproject.org> - 0.2.3-1
- initial build

